### File

`packages/components/directives/eui-arrow-key-navigable.directive.ts`

### Metadata

Selector | `[euiArrowKeyNavigable]`

### Index

###### Properties
elementRef isFocused tabindex
###### Methods
onBlur onFocus
###### HostBindings
attr.tabindex
###### HostListeners
blur focus

### HostBindings

attr.tabindex
Type : `string`
Default value : `'-1'`

### HostListeners

blur

focus

### Methods

onBlur
`onBlur()`
Decorators : `@HostListener('blur')`
Returns : `void`

onFocus
`onFocus()`
Decorators : `@HostListener('focus')`
Returns : `void`

### Properties

elementRef
Type : `unknown`
Default value : `inject(ElementRef)`

isFocused
Type : `unknown`
Default value : `false`

tabindex
Type : `string`
Default value : `'-1'`
Decorators : `@HostBinding('attr.tabindex')`

# results matching ""

# No results matching ""